Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class RevRepContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.RevRepContent

All Implemented Interfaces:
  DEREncodable

    public class RevRepContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`CertificateList[]` `getCrls()`
`static RevRepContent` `getInstance(java.lang.Object o)`
`CertId[]` `getRevCerts()`
`PKIStatusInfo[]` `getStatus()`
`DERObject` `toASN1Object()` RevRepContent ::= SEQUENCE { status SEQUENCE SIZE (1..MAX) OF PKIStatusInfo, -- in same order as was sent in RevReqContent revCerts [0] SEQUENCE SIZE (1..MAX) OF CertId OPTIONAL, -- IDs for which revocation was requested -- (same order as status) crls [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL -- the resulting CRLs (there may be more than one) }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RevRepContent getInstance(java.lang.Object o)

### getStatus

    public PKIStatusInfo[] getStatus()

### getRevCerts

    public CertId[] getRevCerts()

### getCrls

    public CertificateList[] getCrls()

### toASN1Object

    public DERObject toASN1Object()

       RevRepContent ::= SEQUENCE {
              status       SEQUENCE SIZE (1..MAX) OF PKIStatusInfo,
              -- in same order as was sent in RevReqContent
              revCerts [0] SEQUENCE SIZE (1..MAX) OF CertId OPTIONAL,
              -- IDs for which revocation was requested
              -- (same order as status)
              crls     [1] SEQUENCE SIZE (1..MAX) OF CertificateList OPTIONAL
              -- the resulting CRLs (there may be more than one)
         }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45